Skip to main content
GET
/
subscriptions
List subscriptions (alias of /subscriptions/cloud)
curl --request GET \
  --url https://{host}/subscriptions
import requests

url = "https://{host}/subscriptions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://{host}/subscriptions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "subscriptionRef": "<string>",
    "subscriptionName": "<string>",
    "description": "<string>",
    "owner": "<string>",
    "outputType": "<string>",
    "webhook": {
      "uri": "<string>",
      "authType": "<string>",
      "authValue": "<string>"
    },
    "propertyReferences": [
      {
        "propertyID": "<string>",
        "operator": "<string>",
        "values": [
          "<string>"
        ]
      }
    ],
    "tagReferences": [
      {
        "tagID": "<string>",
        "operator": "<string>",
        "values": [
          "<string>"
        ]
      }
    ],
    "suppressionReferences": [
      {
        "suppressionID": "<string>",
        "operator": "<string>",
        "values": [
          "<string>"
        ],
        "revokeBy": "<string>"
      }
    ],
    "returnStructure": {
      "showAliases": false,
      "fields": [
        "<string>"
      ]
    },
    "schedule": {
      "frequency": "<string>",
      "at": "<string>"
    },
    "webhookStatus": "<string>",
    "lastTriggered": "<string>",
    "message": "<string>",
    "status": 123
  }
]

Query Parameters

type
enum<string>

Which subscriptions to list:

  • all (default): global + your private (admins see all)
  • global: all global
  • owner: user-specific; combine with owner= (admin can query any user)
Available options:
all,
global,
owner
owner
string

Kubex username to scope type=owner queries (admins only for others).

subscriptionRef
string

Return details for a single subscription by ID.

Response

200 - application/json

Array of subscriptions

subscriptionRef
string
required

Unique ID assigned to the subscription.

subscriptionName
string
required
description
string
owner
string

Empty for global; username for private.

outputType
string
active
enum<string>
Available options:
true,
false
webhook
object

Webhook destination for delivering subscription notifications.

propertyReferences
object[]
tagReferences
object[]
suppressionReferences
object[]
returnStructure
object
schedule
object

If omitted, notifications typically trigger nightly after analysis/reporting.

webhookStatus
string

Success | Failure of last push to webhook (with timestamp).

lastTriggered
string

On-Demand Success/Failure or Scheduled Success/Failure with timestamp.

message
string

Error/status message (on error).

status
integer

HTTP-like status code (200, 204, 400, 401, 404, 415, 500).